### Enumeration

# Gio PasswordSave

#### Declaration

    enum Gio.PasswordSave

#### Description

`GPasswordSave` is used to indicate the lifespan of a saved password.

`Gvfs` stores passwords in the Gnome keyring when this flag allows it to, and later retrieves it again from there.

#### Members

`G_PASSWORD_SAVE_NEVER`

  Never save a password.

  - Value: `0`
  - Available since: 2.0
`G_PASSWORD_SAVE_FOR_SESSION`

  Save a password for the session.

  - Value: `1`
  - Available since: 2.0
`G_PASSWORD_SAVE_PERMANENTLY`

  Save a password permanently.

  - Value: `2`
  - Available since: 2.0